ru.bitel.oss.systems.order.product.common.event

## Class ProductOrderEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.oss.systems.order.product.common.event.ProductOrderEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ProductOrderEvent
      extends LocalEvent

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MODE_ACTIVATE`
    `static int` | `MODE_DEACTIVATE`
    `static int` | `MODE_MODIFY`
    `static int` | `MODE_REACTIVATE`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProductOrderEvent(int mode, int contractId, int userId, ProductSpec productSpec, ProductSpecActivationMode activateMode, Product oldProduct, Product newProduct, boolean sync, boolean activate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProductSpecActivationMode` | `getActivationMode()`
    `java.lang.String` | `getMessage()`
    `int` | `getMode()`
    `Product` | `getNewProduct()`
    `Product` | `getOldProduct()`
    `java.util.List<ProductEntry>` | `getProductEntryList()`
    `ProductSpec` | `getProductSpec()`
    `boolean` | `isProcess()`
    `boolean` | `isSync()` Нужна ли синхронизация (не нужна, если MW активировало/активирует само).
    `void` | `setMessage(java.lang.String message)`
    `void` | `setNewProduct(Product newProduct)`
    `void` | `setOldProduct(Product oldProduct)`
    `void` | `setProcess(boolean activate)`
    `void` | `setProductEntryList(java.util.List<ProductEntry> productEntryList)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODE_ACTIVATE

          public static final int MODE_ACTIVATE

      See Also:
        Constant Field Values

    - #### MODE_DEACTIVATE

          public static final int MODE_DEACTIVATE

      See Also:
        Constant Field Values

    - #### MODE_MODIFY

          public static final int MODE_MODIFY

      See Also:
        Constant Field Values

    - #### MODE_REACTIVATE

          public static final int MODE_REACTIVATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProductOrderEvent

          public ProductOrderEvent(int mode,
                                   int contractId,
                                   int userId,
                                   ProductSpec productSpec,
                                   ProductSpecActivationMode activateMode,
                                   Product oldProduct,
                                   Product newProduct,
                                   boolean sync,
                                   boolean activate)

  - ### Method Detail

    - #### getProductSpec

          public ProductSpec getProductSpec()

    - #### getActivationMode

          public ProductSpecActivationMode getActivationMode()

    - #### isSync

          public boolean isSync()

      Нужна ли синхронизация (не нужна, если MW активировало/активирует само).

    - #### isProcess

          public boolean isProcess()

    - #### setProcess

          public void setProcess(boolean activate)

    - #### getMessage

          public java.lang.String getMessage()

    - #### setMessage

          public void setMessage(java.lang.String message)

    - #### getOldProduct

          public Product getOldProduct()

    - #### setOldProduct

          public void setOldProduct(Product oldProduct)

    - #### getNewProduct

          public Product getNewProduct()

    - #### setNewProduct

          public void setNewProduct(Product newProduct)

    - #### getMode

          public int getMode()

    - #### getProductEntryList

          public java.util.List<ProductEntry> getProductEntryList()

    - #### setProductEntryList

          public void setProductEntryList(java.util.List<ProductEntry> productEntryList)